/* Desativa a seleção de texto em elementos específicos */
body, .wrapper {
  user-select: none;
  /* Evita a seleção de elementos */
  -webkit-user-select: none;
  /* Para compatibilidade com navegadores webkit */
  -moz-user-select: none;
  -ms-user-select: none;
}

/*--//responsive-design---*/
@media screen and (max-width: 400px) {
  .card {
    width: 330px;
    min-width: 330px;
  }
}

@media screen and (min-width: 401px) {
  .card {
    width:370px;
    min-width: 370px;
  }
}

@media screen and (min-width: 860px) {
  .card {
    width: 450px;
  }
}

body {
  margin: 0;
  padding: 0;
  background-image: url('../imagens/fundo.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

html, body {
  height: 100%;
}

.wrapper {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  min-height: 100%;
}

.titulo {
  color: #023342;
}

.form-group {
  width: 100%;
  margin-bottom: 0.5rem
}

.card {
  background-color: #fff;
  padding: 20px;
  border: none;
  border-radius: 1rem;
  -webkit-box-shadow: 0 10px 60px 0 rgba(0, 0, 0, 0.3);
  box-shadow: 0 10px 60px 0 rgba(0, 0, 0, 0.3);
  text-align: center
}

.form-control {
  border: none;
  background-color: #f3f2f2;
  height: 50px;
}

.form-control:focus {
  outline: none;
  /* Remove a borda padrão do navegador */
  background-color: #fdfdfd;
  /* Cor de fundo ao focar */
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  /* Adiciona um efeito de sombra */
}


.form-control::placeholder {
  color: #b4b4b4;
}

a {
  color: #023342 !important;
  font-size: 14px;
  text-decoration: none !important;
  cursor: pointer;
}

a:hover {
  color: #023342;
}

.logo {
  width: 50%;
  margin-bottom: 20px;
}

.btn {
  width: 80%;
  height: 40px;
  outline: none !important;
  background-color: #023342;
  color: #fff;
}

.btn:hover {
  background-color:  #023c4e;
  text-decoration: none;
  color: #fff;
}

.btn.focus, .btn:focus {
  outline: 0;
  box-shadow: none
}

/*arredonda as bordas dos campos com select2*/
.select2-container--default .select2-selection--single {
  border-radius: 20px;
  min-height: 35px;
  background-color: transparent !important;
}

/*AJUSTA A SETINHA DO SELECT2*/
.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 37px;
  width: 30px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  color: #fff;
  line-height: 37px;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder {
  color: #fff;
}

/* deixa os select2 com 85%*/
.select2 {
  width: 85% !important;
}

.select2-dropdown {
  background-color: #023342;
}

/* define a cor do item selecionado no select2*/
.select2-container--default .select2-purple .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-purple .select2-results__option--highlighted[aria-selected]:hover, .select2-purple .select2-container--default .select2-results__option--highlighted[aria-selected], .select2-purple .select2-container--default .select2-results__option--highlighted[aria-selected]:hover {
  background-color: #0c8ab1;
  color: #023342;
}